%global plugin_name durable-task

Summary:    Library offering an external extension point for processes
Name:       jenkins-plugin-%{plugin_name}
Version:    1.10
Release:    1%{?dist}
License:    MIT
URL:        https://github.com/jenkinsci/durable-task-plugin
Source0:    https://updates.jenkins-ci.org/download/plugins/%{plugin_name}/%{version}/%{plugin_name}.hpi
Requires:   jenkins >= 1.609.1

%description
Library offering an extension point for processes which can run 
outside of Jenkins yet be monitored.

Offers no direct features on its own but can be used by other 
feature plugins.

%prep


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/jenkins/
cp %{SOURCE0} $RPM_BUILD_ROOT/%{_libdir}/jenkins/


%files
%{_libdir}/jenkins/%{plugin_name}.hpi

%changelog
* Tue Jun 14 2016 Troy Dawson <tdawson@redhat.com> - 1.10-1
- Update to 1.10

* Tue Feb 09 2016 Troy Dawson <tdawson@redhat.com> - 1.7-1
- Initial package
